FROM operationbase:2.0 as build

WORKDIR /ConstructionOperation

COPY package.json /ConstructionOperation

RUN mkdir tmp \
    && cnpm install

FROM base-alpine:latest


COPY --from=build /ConstructionOperation /ConstructionOperation

COPY . /ConstructionOperation

WORKDIR /ConstructionOperation

ENV NODE_ENV=prod

ENTRYPOINT babel-node --max_old_space_size=2048 operation.js
